Commit 6d750c8e authored by simonmar's avatar simonmar

[project @ 2002-06-25 08:32:19 by simonmar]

We need Happy version 1.13 now, not 1.9
parent bbb9f130
dnl $Id: aclocal.m4,v 1.103 2002/05/31 21:12:28 sof Exp $
dnl $Id: aclocal.m4,v 1.104 2002/06/25 08:32:19 simonmar Exp $
dnl
dnl Extra autoconf macros for the Glasgow fptools
dnl
......@@ -189,7 +189,7 @@ fi
dnl
dnl Check for Happy and version. If we're building GHC, then we need
dnl at least Happy version 1.9. If there's no installed Happy, we look
dnl at least Happy version 1.13. If there's no installed Happy, we look
dnl for a happy source tree and point the build system at that instead.
dnl
AC_DEFUN(FPTOOLS_HAPPY,
......@@ -215,8 +215,8 @@ fi;
changequote([, ])dnl
])
if test -d $srcdir/ghc -a ! -f $srcdir/ghc/compiler/parser/Parser.hs; then
FPTOOLS_PROG_CHECK_VERSION([$fptools_cv_happy_version],-lt,[1.9],
[AC_MSG_ERROR([Happy version 1.9 or later is required to compile GHC.])])dnl
FPTOOLS_PROG_CHECK_VERSION([$fptools_cv_happy_version],-lt,[1.13],
[AC_MSG_ERROR([Happy version 1.13 or later is required to compile GHC.])])dnl
fi
HappyVersion=$fptools_cv_happy_version;
AC_SUBST(HappyVersion)
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment